Package org.apache.ignite.client.events

## Interface ConnectionEventListener

All Superinterfaces:
  `EventListener`

    public interface ConnectionEventListener
    extends EventListener

### Method Summary

All Methods Instance Methods Default Methods
`default void` `onConnectionClosed​(ConnectionClosedEvent event)`
`default void` `onHandshakeFail​(HandshakeFailEvent event)`
`default void` `onHandshakeStart​(HandshakeStartEvent event)`
`default void` `onHandshakeSuccess​(HandshakeSuccessEvent event)`

### Method Detail

#### onHandshakeStart

    default void onHandshakeStart​(HandshakeStartEvent event)

Parameters:
  `event` - Handshake start event.

#### onHandshakeSuccess

    default void onHandshakeSuccess​(HandshakeSuccessEvent event)

Parameters:
  `event` - Handshake success event.

#### onHandshakeFail

    default void onHandshakeFail​(HandshakeFailEvent event)

Parameters:
  `event` - Handshake fail event.

#### onConnectionClosed

    default void onConnectionClosed​(ConnectionClosedEvent event)

Parameters:
  `event` - Connection closed event (with or without exception).